#!/bin/bash
#Installer Script for CCU-Historian
# takes First Agrument for Download URL and second for Scriptpath

VERSION=$(lsb_release -a 2>/dev/null | grep "Codename" | sed "s/Distributor ID:\t//;s/Codename:\t//")

sudo apt-get udpate

# Unterscheidung Stretch / Buster nicht nötig
#if [ "$VERSION" == "stretch" ]; then

#else
apt-get install openjdk-8-jre -y
apt-get install -f
#fi

pushd /opt
mkdir ccu-historian
cd ccu-historian
# get newest Release
if [ "$1" == "" ]; then
    wget -O /opt/ccu-historian/install.tar.gz https://github.com/mdzio/ccu-historian/releases/download/2.5.2/ccu-historian-addon-2.5.2.tar.gz
else
    wget -O /opt/ccu-historian/install.tar.gz "$1"
fi
tar -xf install.tar.gz
cp -R ccu-historian/* .



cp ccu-historian-sample.config ccu-historian.config
cp $2ccu-historian.sh /etc/init.d/ccu-historian.sh

#Enable some Configs
sed -i 's/\/\/ webServer\.port.*/webServer.port=8060/' /opt/ccu-historian/ccu-historian.config
sed -i "s/\/\/ webServer\.dir.*/webServer.dir='\/opt\/ccu-historian\/webapp'/" /opt/ccu-historian/ccu-historian.config
sed -i 's/\/\/ database\.webAllowOthers.*/database.webAllowOthers=true/' /opt/ccu-historian/ccu-historian.config
sed -i 's/^devices\.device1\.type.*/devices.device1.type=CCU1/' /opt/ccu-historian/ccu-historian.config
sed -i "s/^devices\.device1\.address.*/devices.device1.address='homematic.fritz.box'/" /opt/ccu-historian/ccu-historian.config
echo "devices.device1.plugin1.type=CUXD" >> /opt/ccu-historian/ccu-historian.config

#sudo java -jar /opt/ccu-historian/ccu-historian.jar

echo "Finished"